Nimbu Developer Docs
ReferenceCustomer Sessions

Get current customer

GET
/customers/me

Returns the profile of the customer associated with the provided token.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Header Parameters

X-Nimbu-Site*string

Site identifier

Session-Token*string

Customer session token

Response Body

application/json

curl -X GET "https://example.com/customers/me" \  -H "X-Nimbu-Site: string" \  -H "Session-Token: string"
{
  "id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "name": "string",
  "firstname": "string",
  "lastname": "string",
  "email": "string",
  "language": "string",
  "number": "string",
  "slug": "string",
  "status": "string",
  "groups": [
    "string"
  ],
  "url": "http://example.com",
  "confirmation_token": "string",
  "last_activity_at": "2019-08-24T14:15:22Z",
  "roles": [
    "string"
  ]
}
Empty